package com.example.navtestapp.databinding;
import com.example.navtestapp.R;
import com.example.navtestapp.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentMyDialogBindingImpl extends FragmentMyDialogBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.dialog_container, 7);
        sViewsWithIds.put(R.id.dialogContainer, 8);
        sViewsWithIds.put(R.id.frameContainer, 9);
    }
    // views
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public FragmentMyDialogBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 10, sIncludes, sViewsWithIds));
    }
    private FragmentMyDialogBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.FrameLayout) bindings[0]
            , (android.widget.LinearLayout) bindings[4]
            , (android.widget.ImageButton) bindings[2]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[7]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[8]
            , (android.widget.FrameLayout) bindings[9]
            , (android.widget.Button) bindings[5]
            , (android.widget.Button) bindings[6]
            , (android.widget.TextView) bindings[3]
            , (android.widget.TextView) bindings[1]
            );
        this.background.setTag(null);
        this.buttonLayout.setTag(null);
        this.closeButton.setTag(null);
        this.negativeButton.setTag(null);
        this.positiveButton.setTag(null);
        this.stvSubtitle.setTag(null);
        this.stvTitle.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x20L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.titleValue == variableId) {
            setTitleValue((java.lang.String) variable);
        }
        else if (BR.subtitleValue == variableId) {
            setSubtitleValue((java.lang.String) variable);
        }
        else if (BR.buttonPositiveValue == variableId) {
            setButtonPositiveValue((java.lang.String) variable);
        }
        else if (BR.buttonNegativeValue == variableId) {
            setButtonNegativeValue((java.lang.String) variable);
        }
        else if (BR.cancelableValue == variableId) {
            setCancelableValue((java.lang.Boolean) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setTitleValue(@Nullable java.lang.String TitleValue) {
        this.mTitleValue = TitleValue;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.titleValue);
        super.requestRebind();
    }
    public void setSubtitleValue(@Nullable java.lang.String SubtitleValue) {
        this.mSubtitleValue = SubtitleValue;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.subtitleValue);
        super.requestRebind();
    }
    public void setButtonPositiveValue(@Nullable java.lang.String ButtonPositiveValue) {
        this.mButtonPositiveValue = ButtonPositiveValue;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.buttonPositiveValue);
        super.requestRebind();
    }
    public void setButtonNegativeValue(@Nullable java.lang.String ButtonNegativeValue) {
        this.mButtonNegativeValue = ButtonNegativeValue;
        synchronized(this) {
            mDirtyFlags |= 0x8L;
        }
        notifyPropertyChanged(BR.buttonNegativeValue);
        super.requestRebind();
    }
    public void setCancelableValue(@Nullable java.lang.Boolean CancelableValue) {
        this.mCancelableValue = CancelableValue;
        synchronized(this) {
            mDirtyFlags |= 0x10L;
        }
        notifyPropertyChanged(BR.cancelableValue);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String titleValue = mTitleValue;
        boolean titleValueLengthInt0 = false;
        boolean buttonNegativeValueJavaLangObjectNull = false;
        boolean subtitleValueLengthInt0 = false;
        java.lang.String subtitleValue = mSubtitleValue;
        int titleValueLengthInt0ViewVISIBLEViewGONE = 0;
        android.graphics.drawable.Drawable buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNullCloseButtonAndroidDrawableBtnDialogCloseButtonAndroidDrawableBtnDialog = null;
        int subtitleValueLength = 0;
        int cancelableValueViewVISIBLEViewGONE = 0;
        int subtitleValueLengthInt0ViewVISIBLEViewGONE = 0;
        java.lang.String buttonPositiveValue = mButtonPositiveValue;
        boolean buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNull = false;
        java.lang.String buttonNegativeValue = mButtonNegativeValue;
        boolean buttonPositiveValueJavaLangObjectNull = false;
        int buttonPositiveValueJavaLangObjectNullViewVISIBLEViewGONE = 0;
        int titleValueLength = 0;
        java.lang.Boolean cancelableValue = mCancelableValue;
        int buttonNegativeValueJavaLangObjectNullViewVISIBLEViewGONE = 0;
        boolean androidxDatabindingViewDataBindingSafeUnboxCancelableValue = false;
        int buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNullViewVISIBLEViewGONE = 0;

        if ((dirtyFlags & 0x21L) != 0) {



                if (titleValue != null) {
                    // read titleValue.length()
                    titleValueLength = titleValue.length();
                }


                // read titleValue.length() > 0
                titleValueLengthInt0 = (titleValueLength) > (0);
            if((dirtyFlags & 0x21L) != 0) {
                if(titleValueLengthInt0) {
                        dirtyFlags |= 0x80L;
                }
                else {
                        dirtyFlags |= 0x40L;
                }
            }


                // read titleValue.length() > 0 ? View.VISIBLE : View.GONE
                titleValueLengthInt0ViewVISIBLEViewGONE = ((titleValueLengthInt0) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x22L) != 0) {



                if (subtitleValue != null) {
                    // read subtitleValue.length()
                    subtitleValueLength = subtitleValue.length();
                }


                // read subtitleValue.length() > 0
                subtitleValueLengthInt0 = (subtitleValueLength) > (0);
            if((dirtyFlags & 0x22L) != 0) {
                if(subtitleValueLengthInt0) {
                        dirtyFlags |= 0x2000L;
                }
                else {
                        dirtyFlags |= 0x1000L;
                }
            }


                // read subtitleValue.length() > 0 ? View.VISIBLE : View.GONE
                subtitleValueLengthInt0ViewVISIBLEViewGONE = ((subtitleValueLengthInt0) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x24L) != 0) {



                // read buttonPositiveValue != null
                buttonPositiveValueJavaLangObjectNull = (buttonPositiveValue) != (null);
            if((dirtyFlags & 0x24L) != 0) {
                if(buttonPositiveValueJavaLangObjectNull) {
                        dirtyFlags |= 0x20000L;
                }
                else {
                        dirtyFlags |= 0x10000L;
                }
            }


                // read buttonPositiveValue != null ? View.VISIBLE : View.GONE
                buttonPositiveValueJavaLangObjectNullViewVISIBLEViewGONE = ((buttonPositiveValueJavaLangObjectNull) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x2cL) != 0) {



                // read buttonNegativeValue != null
                buttonNegativeValueJavaLangObjectNull = (buttonNegativeValue) != (null);
            if((dirtyFlags & 0x2cL) != 0) {
                if(buttonNegativeValueJavaLangObjectNull) {
                        dirtyFlags |= 0x8000L;
                }
                else {
                        dirtyFlags |= 0x4000L;
                }
            }
            if((dirtyFlags & 0x28L) != 0) {
                if(buttonNegativeValueJavaLangObjectNull) {
                        dirtyFlags |= 0x80000L;
                }
                else {
                        dirtyFlags |= 0x40000L;
                }
            }

            if ((dirtyFlags & 0x28L) != 0) {

                    // read buttonNegativeValue != null ? View.VISIBLE : View.GONE
                    buttonNegativeValueJavaLangObjectNullViewVISIBLEViewGONE = ((buttonNegativeValueJavaLangObjectNull) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
            }
        }
        if ((dirtyFlags & 0x30L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(cancelableValue)
                androidxDatabindingViewDataBindingSafeUnboxCancelableValue = androidx.databinding.ViewDataBinding.safeUnbox(cancelableValue);
            if((dirtyFlags & 0x30L) != 0) {
                if(androidxDatabindingViewDataBindingSafeUnboxCancelableValue) {
                        dirtyFlags |= 0x800L;
                }
                else {
                        dirtyFlags |= 0x400L;
                }
            }


                // read androidx.databinding.ViewDataBinding.safeUnbox(cancelableValue) ? View.VISIBLE : View.GONE
                cancelableValueViewVISIBLEViewGONE = ((androidxDatabindingViewDataBindingSafeUnboxCancelableValue) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        // batch finished

        if ((dirtyFlags & 0x4000L) != 0) {



                // read buttonPositiveValue != null
                buttonPositiveValueJavaLangObjectNull = (buttonPositiveValue) != (null);
            if((dirtyFlags & 0x24L) != 0) {
                if(buttonPositiveValueJavaLangObjectNull) {
                        dirtyFlags |= 0x20000L;
                }
                else {
                        dirtyFlags |= 0x10000L;
                }
            }
        }

        if ((dirtyFlags & 0x2cL) != 0) {

                // read buttonNegativeValue != null ? true : buttonPositiveValue != null
                buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNull = ((buttonNegativeValueJavaLangObjectNull) ? (true) : (buttonPositiveValueJavaLangObjectNull));
            if((dirtyFlags & 0x2cL) != 0) {
                if(buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNull) {
                        dirtyFlags |= 0x200L;
                        dirtyFlags |= 0x200000L;
                }
                else {
                        dirtyFlags |= 0x100L;
                        dirtyFlags |= 0x100000L;
                }
            }


                // read buttonNegativeValue != null ? true : buttonPositiveValue != null ? @android:drawable/btn_dialog : @android:drawable/btn_dialog
                buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNullCloseButtonAndroidDrawableBtnDialogCloseButtonAndroidDrawableBtnDialog = ((buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNull) ? (getDrawableFromResource(closeButton, android.R.drawable.btn_dialog)) : (getDrawableFromResource(closeButton, android.R.drawable.btn_dialog)));
                // read buttonNegativeValue != null ? true : buttonPositiveValue != null ? View.VISIBLE : View.GONE
                buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNullViewVISIBLEViewGONE = ((buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNull) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        // batch finished
        if ((dirtyFlags & 0x2cL) != 0) {
            // api target 1

            this.buttonLayout.setVisibility(buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNullViewVISIBLEViewGONE);
            androidx.databinding.adapters.ImageViewBindingAdapter.setImageDrawable(this.closeButton, buttonNegativeValueJavaLangObjectNullBooleanTrueButtonPositiveValueJavaLangObjectNullCloseButtonAndroidDrawableBtnDialogCloseButtonAndroidDrawableBtnDialog);
        }
        if ((dirtyFlags & 0x30L) != 0) {
            // api target 1

            this.closeButton.setVisibility(cancelableValueViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x28L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.negativeButton, buttonNegativeValue);
            this.negativeButton.setVisibility(buttonNegativeValueJavaLangObjectNullViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x24L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.positiveButton, buttonPositiveValue);
            this.positiveButton.setVisibility(buttonPositiveValueJavaLangObjectNullViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x22L) != 0) {
            // api target 1

            this.stvSubtitle.setVisibility(subtitleValueLengthInt0ViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x21L) != 0) {
            // api target 1

            this.stvTitle.setVisibility(titleValueLengthInt0ViewVISIBLEViewGONE);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): titleValue
        flag 1 (0x2L): subtitleValue
        flag 2 (0x3L): buttonPositiveValue
        flag 3 (0x4L): buttonNegativeValue
        flag 4 (0x5L): cancelableValue
        flag 5 (0x6L): null
        flag 6 (0x7L): titleValue.length() > 0 ? View.VISIBLE : View.GONE
        flag 7 (0x8L): titleValue.length() > 0 ? View.VISIBLE : View.GONE
        flag 8 (0x9L): buttonNegativeValue != null ? true : buttonPositiveValue != null ? @android:drawable/btn_dialog : @android:drawable/btn_dialog
        flag 9 (0xaL): buttonNegativeValue != null ? true : buttonPositiveValue != null ? @android:drawable/btn_dialog : @android:drawable/btn_dialog
        flag 10 (0xbL): androidx.databinding.ViewDataBinding.safeUnbox(cancelableValue) ? View.VISIBLE : View.GONE
        flag 11 (0xcL): androidx.databinding.ViewDataBinding.safeUnbox(cancelableValue) ? View.VISIBLE : View.GONE
        flag 12 (0xdL): subtitleValue.length() > 0 ? View.VISIBLE : View.GONE
        flag 13 (0xeL): subtitleValue.length() > 0 ? View.VISIBLE : View.GONE
        flag 14 (0xfL): buttonNegativeValue != null ? true : buttonPositiveValue != null
        flag 15 (0x10L): buttonNegativeValue != null ? true : buttonPositiveValue != null
        flag 16 (0x11L): buttonPositiveValue != null ? View.VISIBLE : View.GONE
        flag 17 (0x12L): buttonPositiveValue != null ? View.VISIBLE : View.GONE
        flag 18 (0x13L): buttonNegativeValue != null ? View.VISIBLE : View.GONE
        flag 19 (0x14L): buttonNegativeValue != null ? View.VISIBLE : View.GONE
        flag 20 (0x15L): buttonNegativeValue != null ? true : buttonPositiveValue != null ? View.VISIBLE : View.GONE
        flag 21 (0x16L): buttonNegativeValue != null ? true : buttonPositiveValue != null ? View.VISIBLE : View.GONE
    flag mapping end*/
    //end
}